org.apache.lucene.search.similarities

## Class Distribution

- java.lang.Object
- - org.apache.lucene.search.similarities.Distribution

- Direct Known Subclasses:
    DistributionLL, DistributionSPL

      public abstract class Distribution
      extends Object

  The probabilistic distribution used to model term occurrence in information-based models.
  See Also:
    `IBSimilarity`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Distribution()` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Explanation` | `explain(BasicStats stats, double tfn, double lambda)` Explains the score.
    `abstract double` | `score(BasicStats stats, double tfn, double lambda)` Computes the score.
    `abstract String` | `toString()` Subclasses must override this method to return the name of the distribution.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Distribution

          public Distribution()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### score

          public abstract double score(BasicStats stats,
                                       double tfn,
                                       double lambda)

      Computes the score.

    - #### explain

          public Explanation explain(BasicStats stats,
                                     double tfn,
                                     double lambda)

      Explains the score. Returns the name of the model only, since both `tfn` and `lambda` are explained elsewhere.

    - #### toString

          public abstract String toString()

      Subclasses must override this method to return the name of the distribution.
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.